Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.cache
Class VersionedItem

    java.lang.Object
      org.hibernate.testing.cache.Item
          org.hibernate.testing.cache.VersionedItem

    public class VersionedItem

extends Item

Author:
  Steve Ebersole

Constructor Summary
`VersionedItem()`

Method Summary
`Long` | `getVersion()`
`void` | `setVersion(Long version)`

Methods inherited from class org.hibernate.testing.cache.Item
`getDescription, getId, getName, setDescription, setId, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionedItem

    public VersionedItem()

Method Detail

### getVersion

    public Long getVersion()

### setVersion

    public void setVersion(Long version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.